print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecherry = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cherryHudFile = "Paletten/hud_fill_cherry.dds"
	local cherryHudFileSmall = "Paletten/hud_fill_cherry_small.dds"
	
    local cherryFilType = g_fillTypeManager:addFillType("CHERRY", g_i18n:getText("cherry"), true, pricecherry * 1.0, 0.00045, math.rad(10), cherryHudFile, cherryHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascherry=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascherry=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CHERRY" then
		hascherry=true
	end;
		
end;

		if hasmaize and not hascherry then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CHERRY")
		local price = g_fillTypeManager:getFillTypeByName("CHERRY").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CHERRY")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)